Subject: [bug#43781] [PATCH 2/2] gnu: Add cgoban

From: Ludovic Courtès <[email-masked]>
Date: Thu, 22 Oct 2020 16:55:38 +0200

Hi,

Tomás Ortín Fernández <[email-masked]> skribis:

> Sorry, I see I should have sent it all in one email.
>
> * gnu/packages/games.scm (cgoban): New variable.

Sorry for the delay!  Some comments:

> +    (arguments
> +     `(#:tests? #t))

Please add a short comment explaining why tests are disabled.

> --- /dev/null
> +++ b/gnu/packages/patches/cgoban-1.9.14-cflags.patch
> @@ -0,0 +1,40 @@
> +--- a/configure.in
> ++++ b/configure.in

Patches should start with a couple lines stating the origin, their
upstream status, and what they do.

Patches also need to be listed in ‘gnu/local.mk’ and mentioned in the
commit log.

However, I suspect this patch has no effect: since ‘autoconf’ is not an
input of the package, its ‘configure’ script cannot be rebuilt to take
those changes into account.

Perhaps you can just remove it?

Could you send a second version?

Thanks!

Ludo’.